#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

/**
 Small data class, can be used to configure the adView
 */
@interface SCAdViewConfiguration : NSObject
///Color to customize the adTitle
@property (nonatomic, strong)   UIColor *customTextColor;
///Text to be displayed in the adTitle label
@property (nonatomic, copy)     NSString *customTitle;
///Customize the color of the progressbar
@property (nonatomic, strong)   UIColor *customProgressBarColor;
///Initialize this class with your custom values
- (instancetype)initWithCustomTextColor:(UIColor*)textColor
                            customTitle:(NSString*)title
                 customProgressBarColor:(UIColor*)customProgressBarColor;
@end

NS_ASSUME_NONNULL_END
